$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("change", ".prodgrp", getscode);
    // $("body").on("focus ", '.godown', autoaddopn);
    $("body").on("focus ", '.rtrate', autoaddhist);
    $("body").on("keyup blur", '.prodcode,.gram,.packing', genbarcode);
    $("body").on("change", ".supcode", getSup);
    $("body").on("blur", '.barcode', checkProdcode);
    $("body").on("blur", '.prodname', checkProdName);

    function checkProdcode() {
        var barcode = $('.barcode').val();
        var code = $('.code').val();
        if (barcode) {
            $.get('check_prod.php', { barcode: barcode, code: code }, function (data) {
                if (parseFloat(data) > 0) {
                    $('.barcode').val("");
                    $('.barcode').focus();
                    alert("Barcode Already Exist");
                }
            });
        }
    }

    function checkProdName() {
        var name = $('.prodname').val();
        var code = $('.code').val();
        if (name) {
            $.get('check_prod.php', { name: name, code: code }, function (data) {
                if (parseFloat(data) > 0) {
                    $('.prodname').val("");
                    $('.prodname').focus();
                    alert("Name Already Exist");
                }
            });
        }
    }

    $("body").on("click", '.remove', remove);


    $('#addnew').click(function () {
        AddRows();
    });

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;

        $.post('prod_add.php', { ctr: ctr, hide: hide_check }, function (data) {
            $(data).appendTo('#tabledata');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    function remove() {
        $(this).closest("tr").remove();
    }



    function genbarcode() {
        var prodcode = $('.prodcode').val(),
            gram = $('.gram').val(),
            packing = $('.packing').val(),
            barcode = prodcode;
        $('.barcode').val(barcode);
    }


    function getSup() {
        var tr = $(this).closest("tr"),
            val = 0;
        var supcode = tr.find(".supcode").val();

        $.ajax({
            type: "POST",
            dataType: "json",
            url: "getsuptype.php",
            data: { supcode: supcode },
            success: function (response) {
                if (response != "") {
                    var suptype = response.suptype;

                    tr.find(".suptype").val(suptype);

                }
            },
            error: function (request, textStatus, errorThrown) {
            },
        });

    }

    function autoaddhist() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows2();
        }
    }

    //    function autoaddpre() {
    //        if ($(this).closest('tr').is(":last-child")) {
    //            AddRows3();
    //        }
    //    }

    function getscode() {
        var prodgrp = $('.prodgrp').val();
        $.post('gethsn_prod.php', { prodgrp: prodgrp }, function (data) {
            $('.hsncode').val(data.hsncode);
            $('.gstperc').val(data.gstperc).trigger("change");
        }, 'json');
    }

    // function remove() {
    //     $(this).closest("tr").remove();
    // }

    // function autoAddRows() {
    //     if ($(this).closest('tr').is(":last-child")) {
    //         AddRows();
    //     }
    // }

    // function AddRows() {
    //     var ctr = $('#items').val();
    //     var hide_check = "";
    //     if ($("#del_all").prop("checked")) {
    //         hide_check = 0;
    //     } else {
    //         hide_check = 1;
    //     }
    //     var detail = ".fetchpart_" + ctr;
    //     $.post('prod_add.php', {ctr: ctr, hide: hide_check}, function (data) {
    //         $(data).appendTo('.tbody');
    //         ctr++;
    //         $('#items').val(ctr);
    //         $(detail).select2();
    //     });
    // }

    // $('#addnew').click(function () {
    //     AddRows();
    // });

    //
    //    $('.ninth').focus(function () {
    //        if ($(this).closest("tr").is(":last-child")) {
    //            AddRows2();
    //        }
    //    });

    function AddRows2() {
        var ctr = $('#items2').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('prodhist_add.php', { ctr: ctr, hide: hide_check }, function (data) {
            $(data).appendTo('.tbody2');
            ctr++;
            $('#items2').val(ctr);
            $(detail).select2();
        });
    }

    $('#addnew2').click(function () {
        AddRows2();
    });





    $(".image").change(function () {
        readURL1(this);
    });



    function readURL1(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                $('.view1').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }


});